Bug 783584 - (CVE-2012-0790) CVE-2012-0790 smokeping: XSS flaw
CVE-2012-0790 smokeping: XSS flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120111,repor...
: Security
Depends On: 783585
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 17:31 EST by Vincent Danen
Modified: 2016-03-04 06:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 16:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to correct the flaw (3.05 KB, patch)
2012-01-20 17:36 EST, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2012-01-20 17:31:44 EST
A flaw was reported [1] in smokeping 2.6 (and most likely earlier versions) which malicious remote users could abuse to conduct cross-site scripting attacks.. Input passed to the "displaymode" parameter in the smokeping CGI script is not properly sanitized before being returned to the user, which can be used to execute arbitrary HTML and script code in a user's browser session in the context of an affected site.

Smokeping 2.6.7 has been released to correct this flaw.

[1] http://holisticinfosec.org/content/view/188/45/
Comment 1 Vincent Danen 2012-01-20 17:34:18 EST
Created smokeping tracking bugs for this issue

Affects: fedora-all [bug 783585]
Comment 2 Vincent Danen 2012-01-20 17:36:13 EST
Created attachment 556619 [details]
patch to correct the flaw

Derived from diffing 2.6.7 to 2.6.6; this looks like the relevant bits required to fix the flaw.
Comment 3 Vincent Danen 2012-01-20 23:44:26 EST
This has been assigned CVE-2012-0790.
Comment 4 Fedora Update System 2012-01-31 16:56:12 EST
smokeping-2.4.2-16.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-01-31 17:00:43 EST
smokeping-2.4.2-13.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.